org.glassfish.jersey

## Interface ExtendedConfig

All Superinterfaces:
  jakarta.ws.rs.core.Configuration

All Known Subinterfaces:
  ExternalConfigurationModel<CONFIG>

    public interface ExtendedConfig
    extends jakarta.ws.rs.core.Configuration

Extended common runtime configuration.

Author:
  Marek Potociar

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isProperty(String name)` Get the value of the property with a given name converted to `boolean`.

### Methods inherited from interface jakarta.ws.rs.core.Configuration

`getClasses, getContracts, getInstances, getProperties, getProperty, getPropertyNames, getRuntimeType, isEnabled, isEnabled, isRegistered, isRegistered`

### Method Detail

#### isProperty

    boolean isProperty(String name)

Get the value of the property with a given name converted to `boolean`. Returns `false` if the value is not convertible.

Parameters:
  `name` - property name.
Returns:
  `boolean` property value or `false` if the property is not convertible.